# Contact - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types / Contact

# Contact

(common) `data class Contact : CommonContactData` (source)

### Constructors

(common)

#### <init>

`Contact(phoneNumber: String, firstName: String, lastName: String? = null, userId: UserId? = null, vcard: String? = null)`

### Properties

(common)

#### firstName

`val firstName: String`

(common)

#### lastName

`val lastName: String?`

(common)

#### phoneNumber

`val phoneNumber: String`

(common)

#### userId

`val userId: UserId?`

(common)

#### vcard

`val vcard: String?`

### Extension Functions

(common)

#### toRequest

`fun Contact.toRequest(chatId: ChatIdentifier, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null): SendContact`